package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc合同意见对象 cmc_contract_comment
 * 
 * @author cmc
 * @date 2024-03-15
 */
public class CmcContractComment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 合同会审意见id */
    private Long commentId;

    /** 合同id */
    @Excel(name = "合同id")
    private String contractId;

    /** 会审部门 */
    @Excel(name = "会审部门")
    private Long deptId;

    /** 会审人 */
    @Excel(name = "会审人")
    private Long userId;

    private SysUser commentUser;

    /** 会审意见 */
    @Excel(name = "会审意见")
    private String comment;

    /** 会审附件 */
    @Excel(name = "会审附件")
    private String document;

    /** 会审日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "会审日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date commentTime;

    public void setCommentId(Long commentId)
    {
        this.commentId = commentId;
    }

    public Long getCommentId()
    {
        return commentId;
    }
    public void setContractId(String contractId)
    {
        this.contractId = contractId;
    }

    public String getContractId()
    {
        return contractId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setCommentUser(SysUser commentUser)
    {
        this.commentUser = commentUser;
    }

    public SysUser getCommentUser()
    {
        return commentUser;
    }
    public void setComment(String comment)
    {
        this.comment = comment;
    }

    public String getComment()
    {
        return comment;
    }
    public void setDocument(String document)
    {
        this.document = document;
    }

    public String getDocument()
    {
        return document;
    }
    public void setCommentTime(Date commentTime)
    {
        this.commentTime = commentTime;
    }

    public Date getCommentTime()
    {
        return commentTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("commentId", getCommentId())
            .append("contractId", getContractId())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("comment", getComment())
            .append("document", getDocument())
            .append("commentTime", getCommentTime())
            .toString();
    }
}
